package com.Komunaldata.SmsGateway.Response;

/**
 * Return value for all getCreditBy[User/Account] webservice call
 * @author Developer7
 */
public class getCreditResponse extends BaseResponse {

    private Integer returnValue;

    /**
     *	Gets the credit associated with the User/Account.
     *
     * @return credit
     */
    public Integer getReturnValue()
    {
	return returnValue;
    }
        
    /**
     *
     * @param hasError True if webservice reports an error, false otherwise.
     * @param errorString For storing all kind of errors, in case of excepted error the value is the same as userErrorString. Only null when hasError is true.
     * @param userErrorString For storing excepted error, which can be displayed to user ("No Access", "Not enough credit", etc), else it is null.
     * @param returnValue Is the credit associated with the User/Account
     */
    public getCreditResponse(boolean hasError, String errorString, String userErrorString, Integer returnValue)
    {
        this.hasError = hasError;
        this.errorString = errorString;
        this.userErrorString = userErrorString;
        this.returnValue = returnValue;
    }

}
