package com.Komunaldata.SmsGateway.Response;

/**
 * Return value for getModemsByAccount webservice call.
 * @author Developer7
 */
public class getModemsByAccountResponse extends BaseResponse {

        String[] returnValue;
        String returnValueToParse;

	/**
	 * 
	 * @param hasError True if webservice reports an error, false otherwise.
         * @param errorString For storing all kind of errors, in case of excepted error the value is the same as userErrorString. Only null when hasError is false.
	 * @param userErrorString For storing excepted error, which can be displayed to user ("No Access", "Not enough credit", etc), else it is null.
	 * @param returnValue Phone number of the modems as a String[] associated to the account
	 * @param returnValueToParse Phone number if the modems seperated by 'ß' associated to the account
	 */
	public getModemsByAccountResponse(boolean hasError, String errorString, String userErrorString, String[] returnValue, String returnValueToParse)
	{
        this.hasError = hasError;
        this.errorString = errorString;
        this.userErrorString = userErrorString;
        this.returnValue = returnValue;
        this.returnValueToParse = returnValueToParse;
    }

	/**
	 * Gets phone number of the modems associated ti the account as a String[]
	 * @return
	 */
	public String[] getReturnValue()
    {
	return returnValue;
    }

	/**
	 * Gets the phone number of the modems associated to the account seperated by 'ß'
	 * @return
	 */
	public String getReturnValueToParse()
    {
	return returnValueToParse;
    }

	

}
