package com.Komunaldata.SmsGateway.Response;

/**
 * Return value for getSMSInBy[DedicatedAccount/NonDedicatedAccount/User/Id] webservice.
 * @author Developer7
 */
public class getSmsInResponse extends BaseResponse
{

    private SMSIn[] returnValue;

    /**
     *
     * @param hasError True if webservice reports an error, false otherwise.
     * @param errorString For storing all kind of errors, in case of excepted error the value is the same as userErrorString. Only null when hasError is false.
     * @param userErrorString For storing excepted error, which can be displayed to user ("No Access", "Not enough credit", etc), else it is null.
     * @param returnValue Array of incoming SMS-es associated to the Account/User/Id stored in SMSIn[]
     */
    public getSmsInResponse(boolean hasError, String errorString, String userErrorString, SMSIn[] returnValue)
    {
	this.hasError = hasError;
	this.errorString = errorString;
	this.userErrorString = userErrorString;
	this.returnValue = returnValue;
    }

    /**
     * Gets the incoming SMS-es associated to the Account/User/ID
     * @return
     */
    public SMSIn[] getReturnValue()
    {
	return returnValue;
    }
}
