package smsgatewaytest;
import com.Komunaldata.SmsGateway.Response.*;
import com.Komunaldata.SmsGateway.*;
public class SendSms
{
    public static void main(String[] args) throws InterruptedException
    {

	SMSUser user = new SMSUser("test", "test");
	insertSmsResponse resp = null;
	String text = "Ez egy próba sms javaból";
	String coding = "7";
	String[] recipient = new String[]{"+36201234567","+36301234567","+36701234567"};
	String[] wantedsender = null;
	try {
	    resp = SmsGateway.insertSmsOutNormal(user, text, coding, recipient, wantedsender);
	} catch (Exception e) {
	    System.out.println("Hiba a webservice-vel való kommunikáció során:");
	    System.out.println(e.getMessage());
	    return;
	}

	if (!resp.getHasError()) {
	    System.out.println("A kiküldött smsek Id-i");
	    for (int i = 0; i < resp.getReturnValue().length; i++) {
		System.out.println("\t" + i + ": " + resp.getReturnValue()[i]);
	    }
	} else {
	    System.out.print("errorString: ");
	    System.out.println(resp.getErrorString());
	    System.out.print("userErrorString: ");
	    System.out.println(resp.getUserErrorString());
	    return;
	}
	System.out.print("\n15 másodperc várakozás a smsek státuszának lekérdezése elött");
	for (int i = 0; i < 15; i++) {
	    Thread.sleep(1000);
	    System.out.print('.');
	}
	System.out.println('\n');

	for (int i = 0; i < resp.getReturnValue().length; i++) {
	    getSmsOutResponse outResp = null;
	    System.out.println("sms " + resp.getReturnValue()[i] + ":");
	    try {
		outResp = SmsGateway.getSmsOutById(user, resp.getReturnValue()[i]);
	    } catch (Exception e) {
		System.out.println("Hiba a webservice-vel való kommunikáció során:");
		System.out.println(e.getMessage());
		continue;
	    }
	    if (!resp.getHasError()) {
		System.out.println("\t Az sms szövege: "+outResp.getReturnValue()[0].getText());
		System.out.println("\t Kiküldés ideje: "+outResp.getReturnValue()[0].getSmsSendedTime());
		System.out.println("\t Címzett: "+outResp.getReturnValue()[0].getRecipientPhoneNumber());
		System.out.println("\t Status riport: "+outResp.getReturnValue()[0].getStatus());
	    } else {
		System.out.print("errorString: ");
		System.out.println(resp.getErrorString());
		System.out.print("userErrorString: ");
		System.out.println(resp.getUserErrorString());
	    }

	}


    }
}

/*
run:
A kiküldött smsek Id-i
        0: 284505
        1: 284506
        2: 284507

15 másodperc várakozás a smsek státuszának lekérdezése elött...............

sms 284505:
         Az sms szövege: Ez egy próba sms javaból
         Kiküldés ideje: Thu Dec 16 11:45:08 CET 2010
         Címzett: +36201234567
         Status riport: Az sms megérkezett a címzetthez
sms 284506:
         Az sms szövege: Ez egy próba sms javaból
         Kiküldés ideje: Thu Dec 16 11:45:08 CET 2010
         Címzett: +36301234567
         Status riport: Az sms megérkezett a címzetthez
sms 284507:
         Az sms szövege: Ez egy próba sms javaból
         Kiküldés ideje: Thu Dec 16 11:45:08 CET 2010
         Címzett: +36701234567
         Status riport: kiküldve
BUILD SUCCESSFUL (total time: 17 seconds)
 */
/*
run:
errorString: Hiba! Nem megfelelő jelszó vagy felhasználónév!
userErrorString: Hiba! Nem megfelelő jelszó vagy felhasználónév!
BUILD SUCCESSFUL (total time: 1 second)
 */
